Subject: Re: bug#27230: eldoc doc

From: [email-masked] (Charles A. Roelli)
Date: Thu, 14 Sep 2017 21:39:04 +0200

> From: Dmitry Gutov <[email-masked]>
> Date: Thu, 14 Sep 2017 15:02:11 +0300
> 
> For one thing, third-party packages should *not* use eldoc-message.

Right.  But why should we break its calling convention without good
reason, when we can see that now that other packages have been using
it?  Moreover, the function has probably been around for awhile, and
without good documentation, it might not have been clear that it's
best suited for "internal" use.

This change might also be mentioned under "Incompatible Lisp Changes"
in NEWS, and it should be discussed in a separate bug report since it
doesn't have much to do with "eldoc doc" (which this bug was about).